jpegqs(1)

NAME
JPEG Quant Smooth - JPEG artifacts removal

DESCRIPTION
This program tries to recover the lost precision of DCT coefficients based on a quantization table from a JPEG image. The result is saved as a JPEG image with quantization set to 1 (like a JPEG saved at 100% quality).

SYNOPSIS
jpegqs [options] input.jpg output.jpg

OPTIONS

-q, --quality n
    Quality setting (0-6, default is 3)/home/rainbow/Desktop/pngtest/jpegrestore/jpegqs.1

-n, --niter n
    Number of iterations (default is 3)

    * More iterations can make the result look like CG art, can make the photos look unnatural.

-t, --threads n
    Set the number of CPU threads to use

-o, --optimize
    Option for libjpeg to produce smaller output file

-v, --verbose n
    Print libjpeg debug output

-i, --info n
    Print quantsmooth debug output (default is 15).
    Use the sum of flags:
        0 - silent
        1/2/4 - various information
        8 - processing time
        16 - SIMD type

    * The processing time includes only the smoothing algorithm, jpeg reading and writing time is not included.

-p, --cpu n
    Use to lower the SIMD type if CPU detection fails:
        0 - auto
        1 - scalar
        2 - SSE2
        3 - AVX2
        4 - AVX512

    * x86 build selects between modes 1-3, x86_64 from 2-4

QUALITY

The quality setting sets a combination of flags for processing:

3. default

4. adds DIAGONALS flag
    smoother diagonal edges, ~1.5 times slower

5. adds JOINT_YUV flag
    chroma channels will depend from luminance, better color consistency

6. adds UPSAMPLE_UV flag
    non-blurring chroma upsampling, unlike fancy upsampling from libjpeg

levels 0-2 is the same as 4-6, but with LOW_QUALITY flag
~10 times faster, but the quality is lower
LOW_QUALITY implies DIAGONALS (always set)

PROJECT PAGE

https://github.com/ilyakurdyukov/jpeg-quantsmooth

COPYRIGHT

Copyright (C) 2016-2021 Ilya Kurdyukov